# Uses of Class
org.eclipse.draw2d.graph.Node

Packages that use Node
Package
Description
org.eclipse.draw2d.graph
Stand-alone algorithms related to Graph Drawing.

## Uses of Node in org.eclipse.draw2d.graph

Subclasses of Node in org.eclipse.draw2d.graph
Modifier and Type
Class
Description
`class`
`Subgraph`
A Node which may contain other nodes.
`class`
`VirtualNode`
Deprecated.
virtual nodes of an edge should be cast to Node.
Fields in org.eclipse.draw2d.graph declared as Node
Modifier and Type
Field
Description
`Node`
VirtualNode.`next`
Deprecated.
The next node.
`Node`
VirtualNode.`prev`
Deprecated.
The previous node.
`Node`
Edge.`source`
The source Node.
`Node`
Edge.`target`
The target Node.
Methods in org.eclipse.draw2d.graph that return Node
Modifier and Type
Method
Description
`Node`
Node.`getLeft()`
Returns a reference to a node located left from this one
`Node`
DirectedGraph.`getNode(int rank, int index)`
`Node`
NodeList.`getNode(int index)`
Deprecated, for removal: This API element is subject to removal in a future version.
use Use `ArrayList.get(int)` instead.
`Node`
Node.`getRight()`
Returns a reference to a node located right from this one
`Node`
Edge.`opposite(Node end)`
For internal use only.
Methods in org.eclipse.draw2d.graph with parameters of type Node
Modifier and Type
Method
Description
`void`
Subgraph.`addMember(Node n)`
Adds the given node to this subgraph.
`Insets`
DirectedGraph.`getPadding(Node node)`
Returns the effective padding for the given node.
`Node`
Edge.`opposite(Node end)`
For internal use only.
`void`
DirectedGraph.`removeNode(Node node)`
Removes the given node from the graph.
`void`
Edge.`setSource(Node node)`
Sets the source node and adds this edge to the new source's outgoing edges.
`void`
Edge.`setTarget(Node node)`
Sets the target node and adds this edge to the new target's incoming edges.
Constructors in org.eclipse.draw2d.graph with parameters of type Node
Modifier
Constructor
Description
``
`Edge(Object data, Node source, Node target)`
Constructs a new edge with the given data object, source, and target node.
``
`Edge(Node source, Node target)`
Constructs a new edge with the given source and target nodes.
``
`Edge(Node source, Node target, int delta, int weight)`
Constructs a new edge with the given source, target, delta, and weight.